
Figure - Bug #118830
【AF】【EVT3】【Monkey】110（616）版本Monkey测试18小时后异常停止且不进屏保
2023-06-19 10:31 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-19

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 110（616版）

Resolution: DUPLICATE Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Monkey Test Root cause:

Description

【版本地址】

ftp://cdiot@192.168.87.46/Pre_figure/ReleaseBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-release_sorp/user/20230616/1624

【执行命令】

monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom

5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes

--pct-syskeys 0 -v -v -v 12000000 2>/sdcard/error.txt 1>/sdcard/info.txt

【测试结果】

monkey异常停止，并设备未进入屏保

History

#1 - 2023-06-19 11:07 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118830

#2 - 2023-06-24 13:41 - 物联网测试组_CDTS  唐霞 

112release版本复现该问题

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118830/tlog_sts40x190122_000280_0624115331.tar.gz

#3 - 2023-06-25 14:24 - CD APP-王营

- Status changed from New to ASSIGNED

【分析】

对比正常输出log  存在参数差异

06-14 11:45:03.419  1577 12634 D PowerManagerNotifier: onScreenPolicyUpdate: newPolicy=2

06-14 11:45:03.419  1577 12634 D PowerManagerNotifier: onWakeLockAcquired: flags=1, tag="AudioMix", packageName=audioserver, ownerUid=1041, ownerPid=0,

workSource=null

06-14 11:45:04.110  1577  1796 D PowerManagerNotifier: onScreenPolicyUpdate: newPolicy=2

06-14 11:45:04.111  1577  1796 D PowerManagerNotifier: onWakeLockAcquired: flags=1, tag="NetworkStats", packageName=android, ownerUid=1000, ownerPid=1577,
workSource=null

06-14 11:45:04.138  1577  1796 D PowerManagerNotifier: onWakeLockReleased: flags=1, tag="NetworkStats", packageName=android, ownerUid=1000, ownerPid=1577,

workSource=null

06-14 11:45:04.138  1577  1796 D PowerManagerNotifier: onScreenPolicyUpdate: newPolicy=2

06-14 11:45:06.419  1577  2109 D PowerManagerNotifier: onWakeLockReleased: flags=1, tag="AudioMix", packageName=audioserver, ownerUid=1041, ownerPid=0,

workSource=null

06-14 11:45:06.419  1577  2109 D PowerManagerNotifier: onScreenPolicyUpdate: newPolicy=2

06-14 11:45:06.420  1577  5029 D PowerManagerNotifier: onWakeLockReleased: flags=1, tag="AudioMix", packageName=audioserver, ownerUid=1041, ownerPid=0,

workSource=null

06-14 11:45:06.420  1577  5029 D PowerManagerNotifier: onScreenPolicyUpdate: newPolicy=2

06-14 11:45:06.427  1577  3117 D PowerManagerNotifier: onWakeLockReleased: flags=1, tag="AudioMix", packageName=audioserver, ownerUid=1041, ownerPid=0,

workSource=null

06-14 11:45:06.427  1577  3117 D PowerManagerNotifier: onScreenPolicyUpdate: newPolicy=2

06-14 11:45:06.438  1577  3117 D PowerManagerNotifier: onWakeLockReleased: flags=1, tag="AudioMix", packageName=audioserver, ownerUid=1041, ownerPid=0,

workSource=null

06-14 11:45:06.438  1577  3117 D PowerManagerNotifier: onScreenPolicyUpdate: newPolicy=2

06-14 11:45:07.153  1577  3117 D PowerManagerNotifier: onScreenPolicyUpdate: newPolicy=2

06-14 11:45:07.154  1577  3117 D PowerManagerNotifier: onWakeLockAcquired: flags=1, tag="AudioMix", packageName=audioserver, ownerUid=1041, ownerPid=0,

workSource=null

06-14 11:45:07.155  1577  3117 D PowerManagerNotifier: onScreenPolicyUpdate: newPolicy=2

06-14 11:45:07.155  1577  3117 D PowerManagerNotifier: onWakeLockAcquired: flags=1, tag="AudioMix", packageName=audioserver, ownerUid=1041, ownerPid=0,

workSource=null

06-14 11:45:07.155  1577 10949 D PowerManagerNotifier: onScreenPolicyUpdate: newPolicy=2

06-14 11:45:07.156  1577 10949 D PowerManagerNotifier: onWakeLockAcquired: flags=1, tag="AudioMix", packageName=audioserver, ownerUid=1041, ownerPid=0,

workSource=null

06-14 11:45:07.156  1577 10949 D PowerManagerNotifier: onScreenPolicyUpdate: newPolicy=2

06-14 11:45:07.156  1577 10949 D PowerManagerNotifier: onWakeLockAcquired: flags=1, tag="AudioMix", packageName=audioserver, ownerUid=1041, ownerPid=0,

workSource=null

正常情况下：参数newPolicy 在收到变化时候，会先设置为2，然后启动屏保，变化为3，异常情况下newPolicy一直是2

【下一步】

分析newPolicy参数的修改逻辑

#4 - 2023-06-27 16:39 - CD APP-王营

- Assignee changed from CD APP-王营 to CD APP-王宏

#5 - 2023-06-27 16:44 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- Resolution changed from -- to DUPLICATE

Hi 永红，

此问题在jira中跟踪更新

http://jira.human-horizons.com/browse/IOVDEV-33538?filter=-1

#6 - 2023-08-04 10:40 - CD TEST-方永红

8.4
该问题在120、122、126、128版本上均未复现，先关闭

#7 - 2023-08-04 10:40 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#8 - 2023-08-04 10:43 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

2025-07-04 3/3


